指定着色、渲染和隐藏的线条删除对象的平滑度。 支持的平台:仅窗口 属性值只读:不 类型:双 有效范围为 0.01 到 10.0。 言论此属性的初始值为 0.5。若要提高性能,请在绘制时将此值设置为 1 或更小。 注意:此属性的值存储在 FACETRES 系统变量中。
例子工 务 局: Sub Example_RenderSmoothness() ' This example returns the current setting of ' RenderSmoothness. It then changes the value, and finally ' it resets the value back to the original setting. Dim currRenderSmoothness As Double Dim newRenderSmoothness As Double ' Retrieve the current RenderSmoothness value currRenderSmoothness = ThisDrawing.preferences.RenderSmoothness MsgBox "The current value for RenderSmoothness is " & currRenderSmoothness, vbInformation, "RenderSmoothness Example" ' Change the value for RenderSmoothness newRenderSmoothness = 2.5 ThisDrawing.preferences.RenderSmoothness = newRenderSmoothness MsgBox "The new value for RenderSmoothness is " & newRenderSmoothness, vbInformation, "RenderSmoothness Example" ' Reset RenderSmoothness to its original value ThisDrawing.preferences.RenderSmoothness = currRenderSmoothness MsgBox "The RenderSmoothness value is reset to " & currRenderSmoothness, vbInformation, "RenderSmoothness Example" End Sub Visual LISP: (vl-load-com) (defun c:Example_RenderSmoothness() ;; This example returns the current setting of ;; RenderSmoothness. It then changes the value, and finally ;; it resets the value back to the original setting. (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) (setq preferences (vla-get-Preferences doc)) ;; Retrieve the current RenderSmoothness value (setq currRenderSmoothness (vla-get-RenderSmoothness preferences)) (alert (strcat "The current value for RenderSmoothness is " (rtos currRenderSmoothness 2))) ;; Change the value for RenderSmoothness (setq newRenderSmoothness 2.5) (vla-put-RenderSmoothness preferences newRenderSmoothness) (alert (strcat "The new value for RenderSmoothness is " (rtos newRenderSmoothness 2))) ;; Reset RenderSmoothness to its original value (vla-put-RenderSmoothness preferences currRenderSmoothness) (alert (strcat "The RenderSmoothness value is reset to " (rtos currRenderSmoothness 2))) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:06
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.